//
//  TransRunner.h
//  Uniterm
//
//  Created by John Schember on 12/29/15.
//  Copyright © 2015 Main Street Softworks. All rights reserved.
//

#ifndef TransRunner_h
#define TransRunner_h

#import <CoreFoundation/CoreFoundation.h>

@protocol TransRunnerDelegate <NSObject>

@required
- (void)updateStatus:(NSString *)status allowCancel:(BOOL)canCancel;
- (void)sendResult:(NSDictionary *)result;

@end

@interface TransRunner : NSObject

@property (nonatomic, weak) id <TransRunnerDelegate> delegate;

+ (id)transRunner;

- (id)init;

- (void)runTransRequest:(NSDictionary *)request;
- (void)cancelRunningTran;

@end

#endif /* TransRunner_h */
